###

#

iterator_is_mutable< It > Struct Template Reference
Metafunctions » Type Analysis Metafunctions » xxx_is_mutable

Metafunction predicate returning whether the given iterator allows for changing its values. More...

`#include <pixel_iterator.hpp>`

## Detailed Description

### template<typename It>
struct boost::gil::iterator_is_mutable< It >

Metafunction predicate returning whether the given iterator allows for changing its values.

The documentation for this struct was generated from the following file:

- pixel_iterator.hpp